import { Icon } from '@iconify/css-solid';
import { splitProps } from 'solid-js';
import '../../css/s/s7woqj.css';
import '../../css/w/wjzajobn.css';
import '../../css/w/whu8ggb.css';
import '../../css/n/nd3hqe.css';

const viewBox = {"width":24,"height":24};
const content = `<g class="s7woqj"><path class="wjzajobn"/><path class="whu8ggb"/><circle transform="matrix(-1 0 0 1 21 16)" class="nd3hqe"/></g>`;

/** @param props {{width?: string; height?: string;}} */
function Component(props) {
	const [local, others] = splitProps(props, ["width","height"]);

	return (<Icon width={local.width} height={local.height} viewBox={viewBox} content={content} fallback={"hugeicons:cricket-bat"} {...others} />);
}

export default Component;
